variable "proxmox_url" {
  type = string
}

variable "proxmox_user" {
  type = string
}

variable "proxmox_password" {
  type      = string
  sensitive = true
}

variable "proxmox_tls_insecure" {
  type    = bool
  default = true
}

variable "template_id" { type = string }
variable "target_nodes" {
  type = map(string)
  default = {
    controller = "pve1"
    worker1    = "pve2"
    worker2    = "pve3"
  }
}

variable "admin_user" { type = string }
variable "admin_password" {
    type = string
    sensitive = true    
}

variable "ssh_public_key" { type = string }
variable "bridge" {
  type    = string
  default = "vmbr0"
}
variable "storage" {
  type    = string
  default = "local-lvm"
}

variable "controller_ip" { type = string }
variable "worker1_ip" { type = string }
variable "worker2_ip" { type = string }
variable "netmask" {
  type    = string
  default = "24"
}
variable "gateway" { type = string }
variable "vm_domain" {
  type    = string
  default = "lab.local"
}
